60
ответов

Установка G ++ 3.4.2 на определенный префикс / суффикс [dубликат]

Я отправляю код онлайн-судье, который использует G ++ 3.4.2, но на моем компьютере установлена ​​G ++ 7.2.0 из apt. Я бы хотел установить более старую версию G ++ и GCC на g ++ - 3.4.2 и gcc-3.4.2 вместо ...
вопрос задан: 7 June 2011 16:20
41
ответ

Не удается выполнить .out файлы, отказ в доступе

Я написал программу на C ++ и выполнил ее для создания файла a.out. Однако, когда я пытаюсь запустить его, я получаю отказ от прав. Я читал, что мы можем использовать sudo, но я не могу заставить его работать. Я использую ...
вопрос задан: 18 June 2012 19:06
40
ответов

Как установить gcc-4.3?

Есть ли простой способ установки gcc-4.3 на Oneiric? Мне это действительно нужно, потому что matlab зависит от i для создания mex-файлов. Я попытался изменить все мои репозитории обратно в Maverick только для установки ...
вопрос задан: 10 December 2011 21:21
32
ответа

Ошибка, которая говорит, что мой скомпилированный код не существует? [dубликат]

Я настраиваю ubuntu на программу C ++, делал это с помощью gedit с плагином терминала и т. Д., Но всякий раз, когда я составляю простую программу для вывода Hello World, я не могу запустить программу с помощью команды ....
вопрос задан: 27 March 2011 18:24
27
ответов

Linux 4.0.10 файлы ядра? [dубликат]

Мне нужно скомпилировать ядро ​​Linux 14.04. Мое ядро ​​- это 4.0.10-28-generic, но поиск в этой базе данных я не могу найти (https://www.kernel.org/pub/linux/kernel/v4.x/) Я не могу найти это .. ,
вопрос задан: 16 October 2015 08:17
22
ответа

Установка более старой версии gcc (3.4.3) на Ubuntu 14.04 (в настоящее время установлена ​​4,8)

У меня установлен gcc 4.8, но мне также нужно установить gcc 3.4.3. Я выполнил следующие шаги: Загрузил gcc 3.4.3 из gcc.parentingamerica.com/releases. Извлекла смолу. ./configure make ...
вопрос задан: 8 June 2017 11:24
22
ответа

Как скомпилировать программу OpenMP с помощью clang?

Мой gcc компилируется хорошо, но clang не работает со следующим сообщением: clang -fopenmp = libomp -o main main.c main.c: 5: 10: фатальная ошибка: файл «omp.h» не найден Я также установил пакет libomp5 и изменил ...
вопрос задан: 14 April 2017 06:44
21
ответ

& ldquo; HtmlConverter не существует. & rdquo; ошибка при установке Sun Java 6 [закрыто]

Я новичок в Ubuntu и Java. Как мне это исправить? фристайлер@фристайлер-НР-ноутбук-4420s:~$ судо apt-получить установить Sun-java6-jdk для чтение списков пакетов... Готово построение дерева зависимостей чтение ...
вопрос задан: 16 September 2011 19:16
20
ответов

Как получить рабочий gcc 4.9 в системе ARM

У меня есть система ARM с ubuntu 14.0.4, и мне нужен рабочий gcc 4.8. Мне было грустно узнать, что согласно http://ports.ubuntu.com/ubuntu-ports/dists/trusty/main/binary-armhf/Packages.gz, это ...
вопрос задан: 26 March 2018 11:31
20
ответов

Запуск Java-программы, Oracle JDK установлен [закрыт]

Недавно я установил Oracle JDK, установил переменные среды. Все работает нормально. java -version в терминальной версии java «1.8.0_131» Java (TM) SE Runtime Environment (build 1.8.0_131-b11) Java ...
вопрос задан: 26 June 2017 10:24
20
ответов

PHP-компилятор / интерпретатор

Как установить PHP-компилятор / интерпретатор на ubuntu 11.04 У меня есть последняя версия PHP, но я хочу изучить PHP из терминала. Есть ли доступный PHP-интерпретатор, который будет запускать PHP-программы внутри ...
вопрос задан: 21 January 2012 19:59
18
ответов

Компилятор Shell (.sh) [закрыт]

Как я могу скомпилировать файл оболочки (.sh)? (S.H.C 3.8.9), я работаю только на одном сервере, а не на других серверах.
вопрос задан: 8 June 2017 18:46
18
ответов

LLVM / Clang 3.1 & amp; Libc ++

Кто-нибудь построил и настроил Ubuntu Precise PPA для LLVM / Clang 3.1? Бонус будет заключаться в том, что в него также включена последняя версия libc ++.
вопрос задан: 24 May 2012 11:20
14
ответов

Больше не может связываться с opengl

После обновления до 11.10 я не могу связать код с libgl / glut. freeglut3-dev и т. д., и похоже, что их тоже можно найти. Я действительно не уверен, что происходит. Makefile gltest: gltest ....
вопрос задан: 16 October 2011 20:11
11
ответов

Установите устаревшую версию gfortran

Я использую Ubuntu 16.04.2 LTS и хочу установить gfortran версии 5.3. Когда я использую один из входов ниже gfortran 5.4, который несовместим с программой, которую я пытаюсь запустить. ...
вопрос задан: 1 August 2017 17:06
10
ответов

cpp version & ldquo; конец списка поиска & rdquo;

Когда я проверил версию cpp, он показал мне это сообщение: cpp -v Использование встроенных спецификаций. COLLECT_GCC = cpp OFFLOAD_TARGET_NAMES = nvptx-none OFFLOAD_TARGET_DEFAULT = 1 Цель: x86_64-linux-gnu Конфигурировано ...
вопрос задан: 24 February 2018 17:14
10
ответов

Как установить `sprof` в Ubuntu 14.04

У меня есть чистый Docker ubuntu: контейнер 14.04. sprof не установлен в базовом изображении. Как его установить? Я предположил, что это будет часть binutils вместе с gprof, но его там нет. Кто-нибудь ...
вопрос задан: 20 February 2018 23:19
10
ответов

Установка GCC из источника без apt

У меня есть новая версия Ubuntu Server 16.04, которая имеет проблемы с Ethernet NIC. Я думаю, что я понял это, но мне нужно перекомпилировать ядро, что является проблемой, потому что я не ...
вопрос задан: 12 February 2018 02:22
10
ответов

g ++ cant find cstdlib (фатальная ошибка: cstdlib: нет такого файла или каталога) [закрыто]

Im пытается скомпилировать очень простую программу C ++ // Programm, um Celcius в Fahrenheit umzurechnen // F = C * (212-32) / 100 + 32 #include & lt; cstdio & gt; #include & lt; csdtlib & gt; #include & lt; iostream & gt; ...
вопрос задан: 26 August 2017 13:13
9
ответов

каталоги Freetype не создают, говоря, что компилятор C недоступен

Система сборки FreeType - автоматическое обнаружение системы. Используются следующие настройки: каталог конфигурации unix-компилятора платформы ./builds/unix ...
вопрос задан: 1 February 2018 07:19
9
ответов

Как оформить междусобойчик?

Я установил стек через двоичный пакет на сайте стека. Теперь я хочу использовать cabal для установки пакетов. cabal install что-то, но он выводит: cabal: требуется версия программы «ghc» & gt; = 6.4, но ...
вопрос задан: 18 November 2017 20:56
9
ответов

Проблема компилятора

У меня больше нет подсказок, и теперь я должен спросить некоторых умных людей, так как я недавно начал работать с Ubuntu. Су здесь проблема: я получил Ubuntu 16.04 на виртуальном компьютере через VirtualBox (...
вопрос задан: 25 May 2017 14:59
9
ответов

Как установить Clang Version 3 в 10.10?

Как я могу установить версию 3 Clang / LLVM в Ubuntu 10.10? Ubuntu 10.10 устанавливает версию 2.8 по умолчанию. Версия 3 имеет более обширную / актуальную поддержку для C ++ и, возможно, C (я не ...
вопрос задан: 18 December 2011 20:44
8
ответов

Установите устаревшую версию gfortran в ubuntu 16.04

Я хочу установить 4.8.4 gfortran-компилятор в Ubuntu 16.04. Я попробовал этот sudo apt-get install gfortran-4.8.4, но он не смог найти пакет
вопрос задан: 20 January 2018 11:36
8
ответов

Как установить Dev C ++ в Ubuntu 16.04

Я хочу использовать Dev C ++ в Ubuntu. Доступен ли он в Ubuntu? Если да, скажите, пожалуйста, как я могу установить его с помощью терминала (по командной строке)?
вопрос задан: 10 October 2017 20:18
8
ответов

Невозможно установить пакет `libxerces27-dev` при установке` phc` php-компилятора

Чтобы установить phc, следуя этому руководству в Ubuntu Oneiric 11.04, я получаю сообщение об ошибке, что пакет недоступен, как показано ниже. Поиск пакета на странице результатов поиска пакета ubuntu ...
вопрос задан: 6 March 2012 19:25
7
ответов

Как мне найти зависимости для программы, прежде чем пытаться скомпилировать ее?

Я пытался кросс-компилировать программу для ARM. Во время компиляции я был очень раздражен, так как мне пришлось искать ряд зависимостей, например, фатальная ошибка: abc / xyz.h: такого файла или каталога нет ...
вопрос задан: 27 June 2012 15:57
7
ответов

Каталог x11, указанный в make-файле, не существует, но проект компилируется и работает отлично

Таким образом, каталог x11, определенный в файле makefile, это: usr / X11R6 / lib64, которого не существует. однако проект отлично компилируется в Kdevelop и работает без проблем. Если я выберу все включения ...
вопрос задан: 7 June 2012 13:04
7
ответов

Менее сложный компилятор CSS

Я хотел установить меньше компилятора на свой компьютер, но когда я выполнил следующую команду: sudo gem install less И команда make остановила следующую ошибку: g ++ -shared -o v8.so v8_locker.o v8_debug.o ...
вопрос задан: 19 January 2012 20:02
3
ответа

Почему я получаю эти неопределенные ошибки при компиляции программы на C ++ в терминале?

У меня есть программа на C ++, которая отлично компилируется и работает в блоках кода. Однако, когда я пытаюсь скомпилировать его из терминала, используя: gcc -g main.cpp -o Main, я получаю много неопределенных ссылок: И это ...
вопрос задан: 9 March 2017 19:04